Docs
Product Repository APIProduct Picture

Get local product picture

Security groups:Local Product Readers
GET
/shops/{shopId}/products/local/product-picture

Get local product picture.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

shopId*integer

The shop ID.

Formatint64
Range1 <= value

Query Parameters

productId*string

The ID of the product.

Lengthlength <= 65

Response Body

image/*

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/shops/5632/products/local/product-picture?productId=ProductId1"
"string"
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}